$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.13-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.13-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '70C67504C8C79EA6D5282DC35DA4EDDCE34908F417F31C6276D984D8AD0CE7BA'
  checksumType = 'sha256'
  checksum64 = '70C67504C8C79EA6D5282DC35DA4EDDCE34908F417F31C6276D984D8AD0CE7BA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.24.13-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
